package com.psdc.service;

import com.psdc.entity.PsdcDevice;
import org.springframework.data.domain.PageRequest;

public interface IPsdcDeviceService {

    /**
     * 通过ID查询单条数据
     *
     * @param deviceId 主键
     * @return 实例对象
     */
    PsdcDevice queryById(Integer deviceId);

    /**
     * 新增数据
     *
     * @param psdcDevice 实例对象
     * @return 实例对象
     */
    PsdcDevice insert(PsdcDevice psdcDevice);
    /**
     * 更新数据
     *
     * @param psdcDevice 实例对象
     * @return 实例对象
     */
    PsdcDevice update(PsdcDevice psdcDevice);
    /**
     * 通过主键删除数据
     *
     * @param deviceId 主键
     * @return 是否成功
     */
    boolean deleteById(Integer deviceId);

}
